Page MenuHomeFreeBSD

pfsync: Insert static trace points
AbandonedPublic

Authored by kp on Nov 14 2018, 9:26 PM.

Details

Reviewers
eri
glebius
Group Reviewers
network
Summary

Make it easier to debug & intrument pfsync.
The fbt provider isn't very helpful, because many important functions
are static. Introduce a handful of interesting probe points.

Sponsored by: Orange Business Services

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 20816

Event Timeline

kp created this revision.Nov 14 2018, 9:26 PM
eri accepted this revision.Nov 26 2018, 1:09 AM
eri added a subscriber: eri.

Can you add some text to the manual pages for documenting the feature? Possibly linking to some example?

This revision is now accepted and ready to land.Nov 26 2018, 1:09 AM
kp added a comment.Nov 26 2018, 10:25 AM
In D17994#389260, @eri wrote:

Can you add some text to the manual pages for documenting the feature? Possibly linking to some example?

I've got 'write a dtrace man page for pf/pfsync' on my todo list, but I'm waiting until I commit the pfsync changes. There's still some discussion going on, and if the implementation ends up changing the probe points will too.

glebius accepted this revision.Nov 26 2018, 8:55 PM
glebius added a subscriber: glebius.

Thanks.

P.S. In pf itself, the dtrace probing should just substitute existing printf(9) debugging.

kp abandoned this revision.Dec 2 2018, 4:50 PM

Abandoned in favour of D18373.

These trace points are closely tied to the pfsync improvement approach that has been abandoned, so there's no point inserting these.
I do hope to add trace points to pf at some point, but I'll create a new review then.